cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Reynaldo Porras (JIRA)" <j...@apache.org>
Subject [jira] [Created] (COCOON-2342) Apache license at the beginning cocoon's dojo widgets templates causes: dojo.widget.Parse: error:
Date Tue, 18 Feb 2014 23:07:19 GMT
Reynaldo Porras created COCOON-2342:
---------------------------------------

             Summary: Apache license at the beginning cocoon's dojo widgets templates causes:
dojo.widget.Parse: error:
                 Key: COCOON-2342
                 URL: https://issues.apache.org/jira/browse/COCOON-2342
             Project: Cocoon
          Issue Type: Bug
          Components: Blocks: Forms
    Affects Versions: 2.1.12, 2.1.13
            Reporter: Reynaldo Porras


Get cocoon from http://svn.apache.org/repos/asf/cocoon/branches/BRANCH_2_1_X and test cocoon
form examples, specifically "Cocoon multivalue editor with suggestions" or  "Cocoon double-list
multivalue widget ". You should see that the widgets are not being displayed and in debug
console of the browser should appear a message like this "dojo.widget.Parse: error: "

This issue is present in MultiValueDoubleList widget,  MultiValueEditorWithsuggestion, MultiValueEditor
and InfoPopup.

Issue is caused by the apache license header added to the template files of those widgets.

I found that moving the license header inside of the first html element of the widget fixes
the issue.

Test on firefox 27.0 and google chrome 32.0.1700.107.



--
This message was sent by Atlassian JIRA
(v6.1.5#6160)

Mime
View raw message